<?php
if(core::ifGet("add")) {
    $id_form = '<input type="hidden" name="id" value="add">';
    $submit = "Ajouter un tirage au sort";
} else {
    $databaseLottery = new lottery();
    $lottery = $databaseLottery->getFiche(core::getGet("id"));
    $submit = "Modifier ce tirage au sort";
    $id_form = '<input type="hidden" name="id" value="' . $lottery["id"] . '">';
}
    if(isset($lottery["id"]) AND $lottery["sortDate"] == NULL){ 
?>
    <div style="float:right; margin-top: -60px;">
        <a href="/submit.php?from=lottery-delete&id=<?php echo $lottery["id"] ?>" style="color: #dc3545; text-decoration:none;" onclick="return confirm('Voulez-vous supprimer ce tirage au sort ?')"><button type="submit" class="btn btn-outline-danger btn-sm"><?php icon::getFont(["icon" => "bi-trash-fill"]) ?></i> Supprimer</button></a>
    </div>
<?php   
    }
    if(isset($lottery["id"]) AND $lottery["sortDate"] != NULL){
        ?>
            <div style="float:right; margin-top: -60px;">
                <button class="btn btn-outline-secondary btn-sm" onclick="alert('Ce tirage au sort ne peut plus être supprimé car il a déjà été réalisé.')" >Ce tirage au sort est vérouillé</button>
            </div>
        <?php   
            } 
        ?>
<br />

<form method="post" action="/submit.php">

    <input type="hidden" name="from" value="lottery">
    
    <?php
        echo $id_form;
    ?>

    <div class="form-group">
        <label>Titre</label>
        <input type="text" class="form-control" value="<?php
        if (isset($lottery["titre"])) {
            echo $lottery["titre"];
        }
        ?>" name="titre" placeholder="" required>
    </div>
    <br />

    <div class="form-group">
        <label>Description</label>
        <textarea class="form-control" name="description" style="height:100%;"><?php
        if (isset($lottery["description"])) {
            echo $lottery["description"];
        }
        ?></textarea>
    </div>
    <br />
    
    <input class="btn btn-primary btn-lg" style="width: 100%" type="submit" value="<?php echo $submit ?>">
    
</form>